| Home | Libraries | People | FAQ | More

## Class template null_index

boost::interprocess::null_index

## Synopsis

    template<typename MapConfig>
    class null_index {
    public:
      // types
      typedef void *       iterator;
      typedef const void * const_iterator;

      // construct/copy/destruct
      null_index(segment_manager_base *);

      // public member functions
      const_iterator begin() const;
      iterator begin() ;
      const_iterator end() const;
      iterator end() ;
    };

## Description

Null index type used to save compilation time when named indexes are not needed.

### `null_index` public construct/copy/destruct

1.     null_index(segment_manager_base *);

### `null_index` public member functions

1.     const_iterator begin() const;

   begin() is equal to end()

2.     iterator begin() ;

   begin() is equal to end()

3.     const_iterator end() const;

   begin() is equal to end()

4.     iterator end() ;

   begin() is equal to end()